/*
** Copyright (C) 1998 Eleftherios Gkioulekas <lf@amath.washington.edu>
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

#if HAVE_CONFIG_H
#include <config.h>
#endif
#include <stdio.h>
#include <long-options.h>
#include <xalloca.h>

/* foo_config.txt */
extern int config_txt_length;
extern char *config_txt[];

void usage(int f )
{
 printf("Usage: mkconfig [FILE]\n"
        "Create a 'foo-config.in' template for a new package.\n"
        "If 'foo' is the name of your package, and you need your package\n"
        "to install a config script, then you must invoke this command\n"
        "with 'foo-config.sh' as the appropriate argument.\n"
        "\n"
        "General Options:\n"
        "  --help              print this help, then exit\n"
        "  --version           print version number, then exit\n"
        "\n"
        "Report bugs to <lf@amath.washington.edu>\n"
       );
        
}

void usage_error(void)
{
 printf("Usage: mkconfig [FILE]\n"
        "For more information type: mkconfig --help\n");
 exit(1);
}

main(int argc,char *argv[])
{
 char *filename;
 FILE *file;
 int i;

 parse_long_options(argc, argv, "mkconfig", PACKAGE, VERSION, usage);
 if (argc != 2) usage_error ();
 filename = alloca (strlen(argv[1])+strlen("-config.in")+1);
 strcpy(filename,argv[1]);
 strcat(filename,"-config.in");
 if ((file = fopen(filename, "w")) == NULL)
 {
  fprintf(stderr,"Can't open file %s\n", filename);
  exit(1);
 }
 for (i=1; i<config_txt_length; i++)
 {
  fprintf(file,"%s\n",config_txt[i]);
 }
 fclose(file);
}
